GDCM: gdcm::PDBHeader Class Reference

GDCM 3.2.11

Public Member Functions | Static Public Member Functions | Protected Member Functions | Friends | List of all members
gdcm::PDBHeader Class Reference

Class for PDBHeader. More...

`#include <gdcmPDBHeader.h>`

## Public Member Functions
| PDBHeader ()=default
| ~PDBHeader ()=default
bool | FindPDBElementByName (const char *name)
| Return true if the PDB element matching name is found or not.
const PDBElement & | GetPDBElementByName (const char *name)
bool | LoadFromDataElement (DataElement const &de)
| Load the PDB Header from a DataElement of a DataSet.
void | Print (std::ostream &os) const
| Print.

## Static Public Member Functions
static const PrivateTag & | GetPDBInfoTag ()
| Return the Private Tag where the PDB header is stored within a DICOM DataSet.

## Protected Member Functions
const PDBElement & | GetPDBEEnd () const

## Friends
std::ostream & | operator<< (std::ostream &_os, const PDBHeader &d)

## Detailed Description

Class for PDBHeader.

GEMS MR Image have an Attribute (0025,1b,GEMS_SERS_01) which store the Acquisition parameter of the MR Image. It is compressed and can therefore not be used as is. This class de-encapsulated the Protocol Data Block and allow users to query element by name.

Warning
  Everything you do with this code is at your own risk, since decoding process was not written from specification documents.
  : the API of this class might change.
  : SEDESC is not always pure ASCII it can contains latin1

See also
  CSAHeader

## Constructor & Destructor Documentation

## ◆ PDBHeader()

gdcm::PDBHeader::PDBHeader | ( |  | ) |
| default

Referenced by operator<<.

## ◆ ~PDBHeader()

gdcm::PDBHeader::~PDBHeader | ( |  | ) |
| default

## Member Function Documentation

## ◆ FindPDBElementByName()

bool gdcm::PDBHeader::FindPDBElementByName | ( | const char * | name | ) |

Return true if the PDB element matching name is found or not.

## ◆ GetPDBEEnd()

const PDBElement & gdcm::PDBHeader::GetPDBEEnd | ( |  | ) | const
| protected

## ◆ GetPDBElementByName()

const PDBElement & gdcm::PDBHeader::GetPDBElementByName | ( | const char * | name | ) |

Lookup in the PDB header if a PDB element match the name 'name':

Warning
  Case Sensitive

## ◆ GetPDBInfoTag()

const PrivateTag & gdcm::PDBHeader::GetPDBInfoTag | ( |  | ) |
| static

Return the Private Tag where the PDB header is stored within a DICOM DataSet.

## ◆ LoadFromDataElement()

bool gdcm::PDBHeader::LoadFromDataElement | ( | DataElement const & | de | ) |

Load the PDB Header from a DataElement of a DataSet.

## ◆ Print()

void gdcm::PDBHeader::Print | ( | std::ostream & | os | ) | const

Print.

Referenced by operator<<.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | _os,
|  | const PDBHeader & | d )
| friend

References PDBHeader(), operator<<, and Print().

Referenced by operator<<.

The documentation for this class was generated from the following file:

- gdcmPDBHeader.h